unit frm_CALC;

interface

  uses
    Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants,
    System.Classes, Vcl.Graphics,
    Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, Vcl.Mask, JvExMask,

    System.Math, JvToolEdit, JvBaseEdits, JvExControls, JvLabel;

  type
    Tform_CALC = class(TForm)
      JvCalcEdit1: TJvCalcEdit;
      GroupBox1: TGroupBox;
      RadioButton1: TRadioButton;
      RadioButton2: TRadioButton;
      RadioButton3: TRadioButton;
      RadioButton4: TRadioButton;
      RadioButton5: TRadioButton;
      RadioButton6: TRadioButton;
      Button1: TButton;
      Label3: TLabel;
      Edit_taux: TEdit;
      GroupBox2: TGroupBox;
      RadioButton7: TRadioButton;
      RadioButton8: TRadioButton;
      RadioButton9: TRadioButton;
      RadioButton10: TRadioButton;
      RadioButton11: TRadioButton;
      RadioButton12: TRadioButton;
      GroupBox3: TGroupBox;
      Edit_valeur_13: TEdit;
      Label5: TLabel;
      Label2: TLabel;
      Label4: TLabel;
      Edit_valeur_14: TEdit;
      Label6: TLabel;
      Edit_valeur_14_JO: TEdit;
      Label8: TLabel;
      Edit_delta: TEdit;
      JvLabel1: TJvLabel;
    Label7: TLabel;
    Label9: TLabel;
    JvLabel2: TJvLabel;
      procedure RadioButton1Click(Sender: TObject);
      procedure Button1Click(Sender: TObject);
      procedure RadioButton6Click(Sender: TObject);
      procedure RadioButton2Click(Sender: TObject);
      procedure RadioButton3Click(Sender: TObject);
      procedure RadioButton4Click(Sender: TObject);
      procedure RadioButton5Click(Sender: TObject);
      procedure RadioButton12Click(Sender: TObject);
      procedure RadioButton8Click(Sender: TObject);
      procedure RadioButton9Click(Sender: TObject);
      procedure RadioButton10Click(Sender: TObject);
      procedure RadioButton11Click(Sender: TObject);
      procedure RadioButton7Click(Sender: TObject);
      procedure FormKeyPress(Sender: TObject; var Key: Char);
      private
        { Dclarations prives }
      public
        { Dclarations publiques }
    end;

  var
    form_CALC: Tform_CALC;

    val:    currency;
    M1, M2: single;

  const
    mod_O = 0.3;
    mod_9 = 1.9;
    mod_I = 4.6;
    mod_X = 8;
    mod_K = 11.5;

implementation

  {$R *.dfm}

  procedure Tform_CALC.Button1Click(Sender: TObject);
    var
      val, plus, A,B: currency;
      taux:      single;

    begin
      val  := JvCalcEdit1.Value;
      taux := M1 + M2;

      plus := val * taux / 100;
      val  := val + plus;

      Edit_taux.Text      := FloatToStr(roundto(taux, -2)) + '%';
      Edit_valeur_13.Text := FloatToStr(roundto(val, -2));

      val                 := val + val * taux / 100;
      Edit_valeur_14.Text := FloatToStr(roundto(val, -2));

      val                    := JvCalcEdit1.Value;
      val                    := val + plus + plus;
      Edit_valeur_14_JO.Text := FloatToStr(roundto(val, -2));

      A :=  StrToCurr(Edit_valeur_14.Text) ;
      B :=     StrToCurr(Edit_valeur_14_JO.Text) ;
      Edit_delta.Text :=  CurrToStr(A-B);

    end;

  procedure Tform_CALC.FormKeyPress(Sender: TObject; var Key: Char);
    begin
      if Key = #27 then
        begin
          JvCalcEdit1.Value := 0;
          JvCalcEdit1.SetFocus;
        end;
    end;

  procedure Tform_CALC.RadioButton10Click(Sender: TObject);
    begin
      M2 := mod_X;
      Button1.Click;
    end;

  procedure Tform_CALC.RadioButton11Click(Sender: TObject);
    begin
      M2 := mod_K;
      Button1.Click;
    end;

  procedure Tform_CALC.RadioButton12Click(Sender: TObject);
    begin
      M2 := 0;
      Button1.Click;
    end;

  procedure Tform_CALC.RadioButton1Click(Sender: TObject);
    begin
      M1 := mod_O;
      Button1.Click;
    end;

  procedure Tform_CALC.RadioButton2Click(Sender: TObject);
    begin
      M1 := mod_9;
      Button1.Click;
    end;

  procedure Tform_CALC.RadioButton3Click(Sender: TObject);
    begin
      M1 := mod_I;
      Button1.Click;
    end;

  procedure Tform_CALC.RadioButton4Click(Sender: TObject);
    begin
      M1 := mod_X;
      Button1.Click;
    end;

  procedure Tform_CALC.RadioButton5Click(Sender: TObject);
    begin
      M1 := mod_K;
      Button1.Click;
    end;

  procedure Tform_CALC.RadioButton6Click(Sender: TObject);
    begin
      M1 := 0;
      Button1.Click;
    end;

  procedure Tform_CALC.RadioButton7Click(Sender: TObject);
    begin

      M2 := mod_O;
      Button1.Click;

    end;

  procedure Tform_CALC.RadioButton8Click(Sender: TObject);
    begin
      M2 := mod_9;
      Button1.Click;
    end;

  procedure Tform_CALC.RadioButton9Click(Sender: TObject);
    begin
      M2 := mod_I;
      Button1.Click;
    end;

end.
